(function() {
  const MainNav = {
    init: function() {
      this.isOpen = false;

      let self = this;
      self.mainNavToggle.addEventListener("click", function(e) {
        if (self.isOpen) {
          self.closeMainNav();
        } else {
          self.openMainNav();
        }
      });
    },
    mainNavToggle: document.querySelector(".js-main-nav-toggle"),
    mainNav: document.querySelector(".js-main-nav"),
    mainNavWrapper: document.querySelector(".js-main-nav-wrapper"),
    isOpen: false,
    defaultText: "&lArr;",
    closeText: "&rArr;",
    closeMainNav: function() {
      this.isOpen = false;
      this.mainNav.classList.remove("main-nav--open");
      this.mainNavToggle.innerHTML = this.defaultText;
      this.mainNavToggle.classList.remove("main-nav__toggle--open");
    },
    openMainNav: function() {
      this.isOpen = true;
      this.mainNav.classList.add("main-nav--open");
      this.mainNavToggle.innerHTML = this.closeText;
      this.mainNavToggle.classList.add("main-nav__toggle--open");
    }
  };

  document.addEventListener("DOMContentLoaded", function() {
    MainNav.init();
  });
})();
